diff options
author | Denys Vlasenko <vda.linux@googlemail.com> | 2012-04-20 14:48:00 +0200 |
---|---|---|
committer | Denys Vlasenko <vda.linux@googlemail.com> | 2012-04-20 14:48:00 +0200 |
commit | 8cab66730aa59c121eb98b20f4ae7ddda1c3ecf6 (patch) | |
tree | c85481105e66d3d7f2b0bf712028fb5f02138215 | |
parent | b110e1fecb4398524e857d772c5cc635615b0ac4 (diff) | |
download | busybox-w32-8cab66730aa59c121eb98b20f4ae7ddda1c3ecf6.tar.gz busybox-w32-8cab66730aa59c121eb98b20f4ae7ddda1c3ecf6.tar.bz2 busybox-w32-8cab66730aa59c121eb98b20f4ae7ddda1c3ecf6.zip |
fix build breakage found by randconfig
Signed-off-by: Denys Vlasenko <vda.linux@googlemail.com>
-rw-r--r-- | archival/libarchive/Kbuild.src | 1 | ||||
-rw-r--r-- | libbb/Kbuild.src | 1 | ||||
-rw-r--r-- | networking/httpd.c | 4 | ||||
-rw-r--r-- | networking/udhcp/d6_common.h | 4 | ||||
-rw-r--r-- | networking/udhcp/d6_dhcpc.c | 2 | ||||
-rwxr-xr-x | scripts/randomtest.loop | 12 | ||||
-rw-r--r-- | shell/hush.c | 2 |
7 files changed, 21 insertions, 5 deletions
diff --git a/archival/libarchive/Kbuild.src b/archival/libarchive/Kbuild.src index 39c18f264..7ae013e84 100644 --- a/archival/libarchive/Kbuild.src +++ b/archival/libarchive/Kbuild.src | |||
@@ -53,6 +53,7 @@ lib-$(CONFIG_UNCOMPRESS) += decompress_uncompress.o | |||
53 | lib-$(CONFIG_UNZIP) += decompress_gunzip.o | 53 | lib-$(CONFIG_UNZIP) += decompress_gunzip.o |
54 | lib-$(CONFIG_LZOP) += lzo1x_1.o lzo1x_1o.o lzo1x_d.o | 54 | lib-$(CONFIG_LZOP) += lzo1x_1.o lzo1x_1o.o lzo1x_d.o |
55 | lib-$(CONFIG_LZOP_COMPR_HIGH) += lzo1x_9x.o | 55 | lib-$(CONFIG_LZOP_COMPR_HIGH) += lzo1x_9x.o |
56 | lib-$(CONFIG_MODINFO) += open_transformer.o | ||
56 | lib-$(CONFIG_FEATURE_SEAMLESS_Z) += open_transformer.o decompress_uncompress.o | 57 | lib-$(CONFIG_FEATURE_SEAMLESS_Z) += open_transformer.o decompress_uncompress.o |
57 | lib-$(CONFIG_FEATURE_SEAMLESS_GZ) += open_transformer.o decompress_gunzip.o | 58 | lib-$(CONFIG_FEATURE_SEAMLESS_GZ) += open_transformer.o decompress_gunzip.o |
58 | lib-$(CONFIG_FEATURE_SEAMLESS_BZ2) += open_transformer.o decompress_bunzip2.o | 59 | lib-$(CONFIG_FEATURE_SEAMLESS_BZ2) += open_transformer.o decompress_bunzip2.o |
diff --git a/libbb/Kbuild.src b/libbb/Kbuild.src index 335b34128..61eec26f7 100644 --- a/libbb/Kbuild.src +++ b/libbb/Kbuild.src | |||
@@ -170,6 +170,7 @@ lib-$(CONFIG_PING) += inet_cksum.o | |||
170 | lib-$(CONFIG_TRACEROUTE) += inet_cksum.o | 170 | lib-$(CONFIG_TRACEROUTE) += inet_cksum.o |
171 | lib-$(CONFIG_TRACEROUTE6) += inet_cksum.o | 171 | lib-$(CONFIG_TRACEROUTE6) += inet_cksum.o |
172 | lib-$(CONFIG_UDHCPC) += inet_cksum.o | 172 | lib-$(CONFIG_UDHCPC) += inet_cksum.o |
173 | lib-$(CONFIG_UDHCPC6) += inet_cksum.o | ||
173 | lib-$(CONFIG_UDHCPD) += inet_cksum.o | 174 | lib-$(CONFIG_UDHCPD) += inet_cksum.o |
174 | 175 | ||
175 | # We shouldn't build xregcomp.c if we don't need it - this ensures we don't | 176 | # We shouldn't build xregcomp.c if we don't need it - this ensures we don't |
diff --git a/networking/httpd.c b/networking/httpd.c index fb6ecbf70..12218a0a3 100644 --- a/networking/httpd.c +++ b/networking/httpd.c | |||
@@ -1676,7 +1676,7 @@ static int checkPermIP(void) | |||
1676 | 1676 | ||
1677 | #if ENABLE_FEATURE_HTTPD_BASIC_AUTH | 1677 | #if ENABLE_FEATURE_HTTPD_BASIC_AUTH |
1678 | 1678 | ||
1679 | # if ENABLE_FEATURE_HTTPD_AUTH_MD5 && ENABLE_PAM | 1679 | # if ENABLE_PAM |
1680 | struct pam_userinfo { | 1680 | struct pam_userinfo { |
1681 | const char *name; | 1681 | const char *name; |
1682 | const char *pw; | 1682 | const char *pw; |
@@ -1842,7 +1842,9 @@ static int check_user_passwd(const char *path, char *user_and_passwd) | |||
1842 | 1842 | ||
1843 | if (passwd[0] == '$' && isdigit(passwd[1])) { | 1843 | if (passwd[0] == '$' && isdigit(passwd[1])) { |
1844 | char *encrypted; | 1844 | char *encrypted; |
1845 | # if !ENABLE_PAM | ||
1845 | check_encrypted: | 1846 | check_encrypted: |
1847 | # endif | ||
1846 | /* encrypt pwd from peer and check match with local one */ | 1848 | /* encrypt pwd from peer and check match with local one */ |
1847 | encrypted = pw_encrypt( | 1849 | encrypted = pw_encrypt( |
1848 | /* pwd (from peer): */ colon_after_user + 1, | 1850 | /* pwd (from peer): */ colon_after_user + 1, |
diff --git a/networking/udhcp/d6_common.h b/networking/udhcp/d6_common.h index 4dd7e621e..eb211ea0f 100644 --- a/networking/udhcp/d6_common.h +++ b/networking/udhcp/d6_common.h | |||
@@ -115,7 +115,11 @@ int FAST_FUNC d6_send_kernel_packet( | |||
115 | struct in6_addr *dst_ipv6, int dest_port | 115 | struct in6_addr *dst_ipv6, int dest_port |
116 | ); | 116 | ); |
117 | 117 | ||
118 | #if defined CONFIG_UDHCP_DEBUG && CONFIG_UDHCP_DEBUG >= 2 | ||
118 | void FAST_FUNC d6_dump_packet(struct d6_packet *packet); | 119 | void FAST_FUNC d6_dump_packet(struct d6_packet *packet); |
120 | #else | ||
121 | # define d6_dump_packet(packet) ((void)0) | ||
122 | #endif | ||
119 | 123 | ||
120 | 124 | ||
121 | POP_SAVED_FUNCTION_VISIBILITY | 125 | POP_SAVED_FUNCTION_VISIBILITY |
diff --git a/networking/udhcp/d6_dhcpc.c b/networking/udhcp/d6_dhcpc.c index 23e6862dc..a792a9dca 100644 --- a/networking/udhcp/d6_dhcpc.c +++ b/networking/udhcp/d6_dhcpc.c | |||
@@ -19,7 +19,7 @@ | |||
19 | 19 | ||
20 | //applet:IF_UDHCPC6(APPLET(udhcpc6, BB_DIR_USR_BIN, BB_SUID_DROP)) | 20 | //applet:IF_UDHCPC6(APPLET(udhcpc6, BB_DIR_USR_BIN, BB_SUID_DROP)) |
21 | 21 | ||
22 | //kbuild:lib-$(CONFIG_UDHCPC6) += d6_dhcpc.o d6_packet.o d6_socket.o common.o | 22 | //kbuild:lib-$(CONFIG_UDHCPC6) += d6_dhcpc.o d6_packet.o d6_socket.o common.o socket.o signalpipe.o |
23 | 23 | ||
24 | 24 | ||
25 | #include <syslog.h> | 25 | #include <syslog.h> |
diff --git a/scripts/randomtest.loop b/scripts/randomtest.loop index 2c8a9bd35..758a8e862 100755 --- a/scripts/randomtest.loop +++ b/scripts/randomtest.loop | |||
@@ -1,5 +1,7 @@ | |||
1 | #!/bin/sh | 1 | #!/bin/sh |
2 | 2 | ||
3 | run_testsuite=true | ||
4 | |||
3 | test -d "$1" || { echo "'$1' is not a directory"; exit 1; } | 5 | test -d "$1" || { echo "'$1' is not a directory"; exit 1; } |
4 | test -x "$1/scripts/randomtest" || { echo "No scripts/randomtest in '$1'"; exit 1; } | 6 | test -x "$1/scripts/randomtest" || { echo "No scripts/randomtest in '$1'"; exit 1; } |
5 | 7 | ||
@@ -21,7 +23,9 @@ while sleep 1; do | |||
21 | echo "Failed build in: failed.$dir" | 23 | echo "Failed build in: failed.$dir" |
22 | exit 1 # you may comment this out... | 24 | exit 1 # you may comment this out... |
23 | let fail++ | 25 | let fail++ |
24 | else | 26 | continue |
27 | fi | ||
28 | if $run_testsuite; then | ||
25 | ( | 29 | ( |
26 | cd -- "$dir/testsuite" || exit 1 | 30 | cd -- "$dir/testsuite" || exit 1 |
27 | echo "Running testsuite in $dir..." | 31 | echo "Running testsuite in $dir..." |
@@ -29,10 +33,12 @@ while sleep 1; do | |||
29 | ) | 33 | ) |
30 | if test $? != 0; then | 34 | if test $? != 0; then |
31 | echo "Failed runtest in $dir" | 35 | echo "Failed runtest in $dir" |
32 | exit 1 | 36 | exit 1 # you may comment this out... |
37 | let fail++ | ||
38 | continue | ||
33 | fi | 39 | fi |
34 | tail -n10 -- "$dir/testsuite/runtest.log" | 40 | tail -n10 -- "$dir/testsuite/runtest.log" |
35 | rm -rf -- "$dir" | ||
36 | fi | 41 | fi |
42 | rm -rf -- "$dir" | ||
37 | let cnt++ | 43 | let cnt++ |
38 | done | 44 | done |
diff --git a/shell/hush.c b/shell/hush.c index 180ae4a62..51d38d3ae 100644 --- a/shell/hush.c +++ b/shell/hush.c | |||
@@ -324,6 +324,8 @@ typedef void (*hush_sighandler_t)(int); | |||
324 | # define ENABLE_FEATURE_EDITING 0 | 324 | # define ENABLE_FEATURE_EDITING 0 |
325 | # undef ENABLE_FEATURE_EDITING_FANCY_PROMPT | 325 | # undef ENABLE_FEATURE_EDITING_FANCY_PROMPT |
326 | # define ENABLE_FEATURE_EDITING_FANCY_PROMPT 0 | 326 | # define ENABLE_FEATURE_EDITING_FANCY_PROMPT 0 |
327 | # undef ENABLE_FEATURE_EDITING_SAVE_ON_EXIT | ||
328 | # define ENABLE_FEATURE_EDITING_SAVE_ON_EXIT 0 | ||
327 | #endif | 329 | #endif |
328 | 330 | ||
329 | /* Do we support ANY keywords? */ | 331 | /* Do we support ANY keywords? */ |